import React from 'react';
import { colorPaletteConfigSlice } from '@graphpolaris/shared/data-access/store';
import { GraphPolarisThemeProvider } from '@graphpolaris/shared/data-access/theme';
import { AnyAction, configureStore, Store } from '@reduxjs/toolkit';
import {
  ComponentMeta,
  ComponentStory,
  ReactFramework,
} from '@storybook/react';
import { Provider } from 'react-redux';
import QueryBuilder from './querybuilder';

export default {
  component: QueryBuilder,
} as ComponentMeta<typeof QueryBuilder>;

const Template: ComponentStory<typeof QueryBuilder> = (args) => (
  <QueryBuilder {...args} />
);

// Mock palette store
const mockEmptyStore = configureStore({
  reducer: {
    colorPaletteConfig: colorPaletteConfigSlice.reducer,
  },
});

export const NoData = Template.bind({});
NoData.decorators = [
  (story) => (
    <Provider store={mockEmptyStore}>
      <GraphPolarisThemeProvider>{story()}</GraphPolarisThemeProvider>
    </Provider>
  ),
];
