import {
  AllLayoutAlgorithms,
  LayoutFactory,
} from '@graphpolaris/shared/graph-layout';
import { useEffect, useState } from 'react';
import ReactFlow, {
  ReactFlowProvider,
  FlowElement,
  Background,
} from 'react-flow-renderer';
import { EntityRFPill } from './customFlowPills/entitypill/entitypill';

const nodeTypes = {
  entity: EntityRFPill,
};

const initialElements = [
  {
    id: '2',
    type: 'entity',
    position: { x: 100, y: 100 },
    data: { name: 'entityNode' },
  },
];

// const onLoad = (reactFlowInstance: any) => {
//   setTimeout(() => reactFlowInstance.fitView(), 0);
// };

const QueryBuilder = (props: {}) => {
  const [elements, setElements] = useState<FlowElement[]>(initialElements);

  const graphStyles = { width: '100%', height: '500px' };

  return (
    <div>
      <ReactFlowProvider>
        <ReactFlow
          elements={elements}
          style={graphStyles}
          snapGrid={[10, 10]}
          snapToGrid={true}
          nodeTypes={nodeTypes}
        >
          <Background gap={10} size={0.7} />
        </ReactFlow>
      </ReactFlowProvider>
    </div>
  );
};

export default QueryBuilder;
